## GMimeStreamNull GMimeStreamNull — A null stream |

## Synopsis

    struct              GMimeStreamNull;
    GMimeStream *       g_mime_stream_null_new              (void);

## Object Hierarchy

      GObject
       +----GMimeStream
             +----GMimeStreamNull

## Description

A GMimeStream which has no real backing storage at all. This stream is useful for dry-runs and can also be useful for determining statistics on source data which can be written to streams but cannot be read as a stream itself (e.g. a GMimeObject via `g_mime_object_write_to_stream()`).

## Details

### struct GMimeStreamNull

    struct GMimeStreamNull;

A GMimeStream which has no backing store.

### g_mime_stream_null_new ()

    GMimeStream *       g_mime_stream_null_new              (void);

Creates a new GMimeStreamNull object.

Returns : | a new null stream (similar to /dev/null on Unix).

## See Also

GMimeStream